VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "ComTest"
   ClientHeight    =   3360
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4095
   LinkTopic       =   "Form1"
   ScaleHeight     =   3360
   ScaleWidth      =   4095
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command3 
      Caption         =   "Read"
      Enabled         =   0   'False
      Height          =   255
      Left            =   3240
      TabIndex        =   10
      Top             =   3000
      Width           =   615
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Write"
      Enabled         =   0   'False
      Height          =   255
      Left            =   1320
      TabIndex        =   9
      Top             =   3000
      Width           =   615
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Connect"
      Height          =   375
      Left            =   2880
      TabIndex        =   8
      Top             =   120
      Width           =   975
   End
   Begin VB.TextBox Text2 
      Enabled         =   0   'False
      Height          =   1815
      Left            =   2040
      TabIndex        =   7
      Top             =   1080
      Width           =   1815
   End
   Begin VB.TextBox Text1 
      Enabled         =   0   'False
      Height          =   1815
      Left            =   240
      TabIndex        =   5
      Top             =   1080
      Width           =   1695
   End
   Begin VB.ComboBox Combo2 
      Height          =   315
      ItemData        =   "Form1.frx":0000
      Left            =   1200
      List            =   "Form1.frx":0016
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   480
      Width           =   1455
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      ItemData        =   "Form1.frx":0043
      Left            =   1200
      List            =   "Form1.frx":0053
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   120
      Width           =   1455
   End
   Begin VB.Label Label4 
      Caption         =   "Read Data:"
      Height          =   255
      Left            =   2040
      TabIndex        =   6
      Top             =   840
      Width           =   1215
   End
   Begin VB.Label Label3 
      Caption         =   "Write Data:"
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   840
      Width           =   1575
   End
   Begin VB.Label Label2 
      Caption         =   "Baud rate:"
      Height          =   255
      Left            =   240
      TabIndex        =   2
      Top             =   480
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "Port:"
      Height          =   255
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   855
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function OpenCom_Entry Lib "Communication.dll" (ByVal nPortType As Long, ByVal nPort As Long, ByVal portname As String) As Long
Private Declare Function CloseCom_Entry Lib "Communication.dll" (ByVal hPort As Long) As Long
Private Declare Sub CloseAllCom_Entry Lib "Communication.dll" ()
Private Declare Function SetSerial Lib "Communication.dll" (ByVal hPort As Long, ByVal nBaud As Long, ByVal nByte As Long, ByVal nParite As Long, ByVal nStopBits As Long, ByVal nFlowCtrl As Long) As Long
Private Declare Function WriteCom_Entry Lib "Communication.dll" (ByVal hPort As Long, ByVal nDataLen As Long, ByVal pData As String) As Long
Private Declare Function ReadCom_Entry Lib "Communication.dll" (ByVal hPort As Long, ByVal buf As String, ByVal nMaxLength As Long) As Long
Private Declare Function PurgeCom Lib "Communication.dll" (ByVal hPort As Long) As Long
Private Declare Function SetReadBuffer Lib "Communication.dll" (ByVal hPort As Long, ByVal nSize As Long) As Long
Private Declare Function EnumUSB Lib "Communication.dll" () As Long
Private Declare Function GetUSBNameMaxLen Lib "Communication.dll" () As Long
Private Declare Function GetUSBName Lib "Communication.dll" (ByVal nPort As Long, ByVal pData As String, ByRef nBufferMax As Long) As Long
Private Declare Function SetReadEvent Lib "Communication.dll" (ByVal hPort As Long, ByVal hWatchRead As Long) As Long
Private Declare Function GetError Lib "Communication.dll" () As Long
Private Declare Function GetCommVer Lib "Communication.dll" (ByVal pVer As String) As Long


Dim g_bConnect As Boolean
Dim g_hCom As Long

Private Sub Command1_Click()

Dim nReturn, nPortType, nPort As Long

If g_bConnect = False Then
    If Combo1.ListIndex < 4 Then
        nPortType = 1
        nPort = Combo1.ListIndex + 1
    Else
        nPortType = 2
        nPort = Combo1.ListIndex - 3
    End If
    
    g_hCom = OpenCom_Entry(nPortType, nPort, 0)
    
    If g_hCom Then
        nReturn = SetSerial(g_hCom, Combo2.ListIndex + 1, 0, 0, 0, 0)
        g_bConnect = True
        Command1.Caption = "Disconnect"
        Command2.Enabled = True
        Command3.Enabled = True
        Combo1.Enabled = False
        Combo2.Enabled = False
        Text1.Enabled = True
    End If
Else
    g_bConnect = False
    CloseCom_Entry (g_hCom)
    g_hCom = 0
    Command1.Caption = "Connect"
    Command2.Enabled = False
    Command3.Enabled = False
    Combo1.Enabled = True
    Combo2.Enabled = True
    Text1.Enabled = False
End If
End Sub

Private Sub Command2_Click()

Dim nWrite As Long

nWrite = WriteCom_Entry(g_hCom, Len(Text1.Text), Text1.Text)
Text1.Text = ""
End Sub

Private Sub Command3_Click()

Dim nRead As Long
Dim strTemp As String

strTemp = String$(100, vbNullChar)
nRead = ReadCom_Entry(g_hCom, strTemp, 100)
Text2.Text = strTemp

End Sub

Private Sub Form_Load()
Dim nUSB, nReturn, nMax As Long
Dim strTemp As String

Combo1.ListIndex = 0
Combo2.ListIndex = 5
strTemp = String$(100, vbNullChar)
nReturn = GetCommVer(strTemp)
Form1.Caption = Form1.Caption + "-Library Ver. " + strTemp

nMax = 100
nUSB = EnumUSB()

For i = 0 To nUSB
    nReturn = GetUSBName(i, strTemp, nMax)
    If nReturn = 0 Then
        Combo1.AddItem (strTemp)
    End If
Next i

g_bConnect = False
End Sub
