// ComSetting.cpp : implementation file
//

#include "stdafx.h"
#include "ComTest.h"
#include "ComSetting.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CComSetting dialog


CComSetting::CComSetting(CString strPort, int nBaud, int nDataBits, int nParity, int nFlowCtrl, CWnd* pParent /*=NULL*/)
	: CDialog(CComSetting::IDD, pParent)
{
	//{{AFX_DATA_INIT(CComSetting)
	m_strPort = strPort;
	m_nBaud = nBaud;
	m_nDataBits = 0;
	m_nParity = nParity;
	m_nFlowCtrl = nFlowCtrl;
	m_strStopBits = _T("1");
	//}}AFX_DATA_INIT
	if(nDataBits)
		m_nDataBits = nDataBits - 6;
	else
		m_nDataBits = nDataBits;
}


void CComSetting::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CComSetting)
	DDX_Text(pDX, IDC_EDIT_PORT, m_strPort);
	DDX_CBIndex(pDX, IDC_COMBO_BAUD, m_nBaud);
	DDX_CBIndex(pDX, IDC_COMBO_DATABITS, m_nDataBits);
	DDX_CBIndex(pDX, IDC_COMBO_PARITY, m_nParity);
	DDX_CBIndex(pDX, IDC_COMBO_FLOW, m_nFlowCtrl);
	DDX_Text(pDX, IDC_EDIT_STOPBITS, m_strStopBits);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CComSetting, CDialog)
	//{{AFX_MSG_MAP(CComSetting)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CComSetting message handlers

void CComSetting::OnOK() 
{
	CDialog::OnOK();

	UpdateData();
	if(m_nDataBits)
		m_nDataBits = m_nDataBits + 6;
}
