// ComTestDlg.h : header file
//

#if !defined(AFX_COMTESTDLG_H__16E61904_D064_4B7C_944C_0D1AD8E71532__INCLUDED_)
#define AFX_COMTESTDLG_H__16E61904_D064_4B7C_944C_0D1AD8E71532__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CComTestDlg dialog

class CComTestDlg : public CDialog
{
protected:
	CString	m_strTransFile;

	void	UpdateMess();

public:
	BOOL	m_bConnect;
	HANDLE	m_hPort, m_hWatchEvent, m_hThread;
	DWORD	m_dwThreadID;
	int		m_nBaud, m_nDataBits, m_nParity, m_nFlowCtrl;

	CString	m_strWritten;

// Construction
public:
	CComTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CComTestDlg)
	enum { IDD = IDD_COMTEST_DIALOG };
	CComboBox	m_ctrlPort;
	CEdit	m_editRead;
	CString	m_strWrite;
	CString	m_strPortMess;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CComTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CComTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnConnect();
	afx_msg void OnChangeEditWrite();
	afx_msg void OnSelchangeComboPort();
	afx_msg void OnBtnTransfile();
	virtual void OnOK();
	afx_msg void OnButton1();
	afx_msg void OnBtnPortsetting();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMTESTDLG_H__16E61904_D064_4B7C_944C_0D1AD8E71532__INCLUDED_)
